Bug 500926 - Review Request: me-tv - GNOME desktop application for watching digital television
Review Request: me-tv - GNOME desktop application for watching digital televi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 501006
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 17:34 EDT by Zarko (grof)
Modified: 2009-05-29 22:36 EDT (History)
6 users (show)

See Also:
Fixed In Version: 0.8.12-5.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-24 09:23:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
build.log from my mock (109.83 KB, application/octet-stream)
2009-05-14 17:38 EDT, Zarko (grof)
no flags Details
Patch to compile (368 bytes, patch)
2009-05-15 06:14 EDT, Mamoru TASAKA
no flags Details | Diff

  None (edit)
Description Zarko (grof) 2009-05-14 17:34:34 EDT
Spec URL: http://wiki.open.hr/~zpintar/fedora10/SPECS/me-tv.spec
SRPM URL: http://wiki.open.hr/~zpintar/fedora10/SRPMS/me-tv-0.8.12-1.fc10.src.rpm
Description: 
Me TV is a GNOME desktop application for watching digital television services
that use the DVB standard. Me TV works with DVB-T, DVB-C, DVB-S and ATSC cards
that have kernel driver support. Me TV reads the Electronic Program Guide (EPG) 
data that is transmitted over the air to populate a built-in program guide 
which can be used for scheduling recordings. 

mock pass in Fedora 10, but build in Koji fail! Why?
http://koji.fedoraproject.org/koji/taskinfo?taskID=1355399

rpmlint is clean

Application works after localinstall.
Comment 1 Zarko (grof) 2009-05-14 17:38:56 EDT
Created attachment 344052 [details]
build.log from my mock

This is build.log produced by mock after successfully build the package.
Comment 2 Mamoru TASAKA 2009-05-15 06:14:44 EDT
Created attachment 344112 [details]
Patch to compile

Compiles with the attached.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1355776
http://koji.fedoraproject.org/koji/taskinfo?taskID=1355793
i.e.
----------------------------------------
#include <linux/types.h>
#include <sys/types.h>
----------------------------------------
fails but
----------------------------------------
#include <sys/types.h>
#include <linux/types.h>
----------------------------------------
succeeds. ref (from google):
http://lkml.indiana.edu/hypermail/linux/kernel/0902.0/01335.html

Some notes (note that I have not tested this software)
- suggest to add INSTALL="install -p" to 'make install' to
  keep timestamps on installed files
- This package should own the directory %{_datadir}/%{name}/
- Would you check if the following build.log what you expect?
----------------------------------------
Optional engines support:
	xine engine ................: yes
	libvlc engine ..............: no
	MPlayer engine .............: no
	xine-lib engine ............: no
	GStreamer library engine ...: no
----------------------------------------
  It seems that "xine-lib engine" "GStreamer library engine"
  can be enabled with some BRs in Fedora and some configure option,
  however configure.ac says they are experimental so
  I am not sure if you intentionally disabled this or not.

?? From src/xine_engine.cc, this software seems
   to launch "xine" program :
----------------------------------------
    49  void XineEngine::play(const Glib::ustring& mrl)
    50  {
    56          StringList argv;
    57          argv.push_back("xine");
   115          try
   116          {
   117                  Glib::spawn_async_with_pipes("/tmp",
   118                          argv,
----------------------------------------
   However xine binary is in xine package, which is in
   rpmfusion-free. Does this software work even if
   "xine" rpm is removed?
Comment 3 Dan Horák 2009-05-15 06:27:26 EDT
Please see http://bugzilla.rpmfusion.org/show_bug.cgi?id=299
Comment 4 Zarko (grof) 2009-05-15 07:41:27 EDT
(In reply to comment #2)

> - Would you check if the following build.log what you expect?
> ----------------------------------------
> Optional engines support:
>  xine engine ................: yes
>  libvlc engine ..............: no
>  MPlayer engine .............: no
>  xine-lib engine ............: no
>  GStreamer library engine ...: no
> ----------------------------------------
>   It seems that "xine-lib engine" "GStreamer library engine"
>   can be enabled with some BRs in Fedora and some configure option,
>   however configure.ac says they are experimental so
>   I am not sure if you intentionally disabled this or not.


Of course, I investigates this. The other engines are experimental, and I do not think that is smart to compile on Fedora something what is "experimental" ;)
This is documented in config help:
----------------------------------------------
  --enable-xine-engine    Enable Xine engine support (default disabled)
  --enable-mplayer-engine Enable experimental MPlayer engine support (default
                          disabled)
  --enable-libvlc-engine  Enable experimental VLC library engine support
                          (default disabled)
  --enable-xine-lib-engine
                          Enable experimental xine-lib engine support (default
                          disabled)
  --enable-libgstreamer-engine
                          Enable experimental GStreamer library engine support
                          (default enabled)
------------------------------------------------------------------------------

But if you think that it is all right to be compiled with these engines, no problem, I will compile :)


>    However xine binary is in xine package, which is in
>    rpmfusion-free. Does this software work even if
>    "xine" rpm is removed?  

Me TV has own xine engine and xine-lib build inside itself. So, I think that it do not need any xine dependency.

Does this program work without "xine" rpm  I still do not sure, but I'll investigate this, too.

This is the part of Me TV's /src directory list:  
-----------------------------------------------------------------
  6200 2009-05-02 01:40 xine_engine.cc
  1554 2009-05-02 01:43 xine_engine.h
277256 2009-05-14 15:32 xine_engine.o
 12210 2009-03-27 13:45 xine_lib_engine.cc
  2209 2009-05-08 12:38 xine_lib_engine.h
 60648 2009-05-14 15:32 xine_lib_engine.o
-----------------------------------------------------------------
I investigated licenses for Me TV and Xine, and all of these sources are under GPL license, so I can not find a reason why should not to be packaged for Fedora repo.
Comment 5 Zarko (grof) 2009-05-15 07:45:17 EDT
(In reply to comment #3)
> Please see http://bugzilla.rpmfusion.org/show_bug.cgi?id=299  

Hmm, I read it, but I still can not find any non-GPL licenses info under this source, and all dependencies what its call is on Fedora repo.
Comment 6 Dan Horák 2009-05-15 08:25:34 EDT
The problem is not the license, but with patents, because without patented codecs the me-tv application is useless.(In reply to comment #5)
> (In reply to comment #3)
> > Please see http://bugzilla.rpmfusion.org/show_bug.cgi?id=299  
> 
> Hmm, I read it, but I still can not find any non-GPL licenses info under this
> source, and all dependencies what its call is on Fedora repo.  

The problem is not the license, but patents, because without patented codecs the me-tv application is useless.
Comment 7 Zarko (grof) 2009-05-15 08:40:57 EDT
(In reply to comment #6)
> 
> The problem is not the license, but patents, because without patented codecs
> the me-tv application is useless.  

Okey, but where (or on which way) exactly Me TV uses (implements) patented codecs? Just I said earlier, all dependencies needed by this soft are from Fedora repo, not from RPM Fusion (except Xine itself, but I do not know yet, works Me TV without Xine RPM package or not).
	
Are these codecs within the source, if they are why the author of upstream has not written copyright information?
Comment 8 Dan Horák 2009-05-15 09:17:11 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > 
> > The problem is not the license, but patents, because without patented codecs
> > the me-tv application is useless.  
> 
> Okey, but where (or on which way) exactly Me TV uses (implements) patented
> codecs? Just I said earlier, all dependencies needed by this soft are from

It either calls an external application (like Xine) or is linked with a library that does the decoding (ffmpeg via libxine, etc). You must have the backend to actually see anything and the backend decodes MPEG streams.

> Fedora repo, not from RPM Fusion (except Xine itself, but I do not know yet,
> works Me TV without Xine RPM package or not).

Me-TV can be started without Xine, but cannot be used if using means watching the TV.

> Are these codecs within the source, if they are why the author of upstream has
> not written copyright information?  

Please read the discussion in my RPM Fusion review request referenced in comment #3
Comment 9 Zarko (grof) 2009-05-15 09:36:43 EDT
(In reply to comment #8)
> 
> Me-TV can be started without Xine, but cannot be used if using means watching
> the TV.

OK, that is something what I do not know yet... Bu if you sure, then it is a good reason why should not to be on Fedora repo. 

It's OK for me. I can packaged this for RPM Fusion, but there is a packager for this.

The only problem is that packaging seems to be abandoned. (no changes from 2009-02-17)

If there are problems with some engines inside Me TV please notify that all of them (excluding xine) are experimental!

So what is your suggestion about this program? Do you want package Me-TV for Fedora's users?

I want!

According to this, there is my new SPEC and SRPM:
http://wiki.open.hr/~zpintar/fedora10/SPECS/me-tv.spec
http://wiki.open.hr/~zpintar/fedora10/SRPMS/me-tv-0.8.12-2.fc10.src.rpm
Comment 10 Susi Lehtola 2009-05-15 09:41:08 EDT
See https://bugzilla.redhat.com/show_bug.cgi?id=501006 for review of xine-ui (xine in rpmfusion).
Comment 11 Dan Horák 2009-05-15 10:14:04 EDT
(In reply to comment #9)
> (In reply to comment #8)
> > 
> > Me-TV can be started without Xine, but cannot be used if using means watching
> > the TV.
> 
> OK, that is something what I do not know yet... Bu if you sure, then it is a
> good reason why should not to be on Fedora repo. 
> 
> It's OK for me. I can packaged this for RPM Fusion, but there is a packager for
> this.

I am the packager in RPM Fusion, but feel free to start a new review or takeover the existing one.
Comment 12 Zarko (grof) 2009-05-15 15:44:22 EDT
(In reply to comment #11)
> 
> I am the packager in RPM Fusion, but feel free to start a new review or
> takeover the existing one.  

Ok, than. Xine RPM packet is needed for run Me TV.

In that case, we must close this thread and continue to resolve RPM Fusion's

Dan, I suggest that we use this mine spec if you agree?
Of course, I call Tasaka to help us at RPM Fusion...
Comment 13 Susi Lehtola 2009-05-15 15:52:25 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > 
> > I am the packager in RPM Fusion, but feel free to start a new review or
> > takeover the existing one.  
> 
> Ok, than. Xine RPM packet is needed for run Me TV.
> 
> In that case, we must close this thread and continue to resolve RPM Fusion's
> 
> Dan, I suggest that we use this mine spec if you agree?
> Of course, I call Tasaka to help us at RPM Fusion...  

I think xine is OK for inclusion into Fedora, since all of the requirements are already in Fedora. I'm adding the xine review as a blocker on this one.

There's no problem in getting this one into Fedora, too.
Comment 14 Zarko (grof) 2009-05-15 16:22:56 EDT
(In reply to comment #13)
> 
> I think xine is OK for inclusion into Fedora, since all of the requirements are
> already in Fedora. I'm adding the xine review as a blocker on this one.
> 
> There's no problem in getting this one into Fedora, too.  

Super, then bring Xine to Fedora and leave Me TV on Fedora, too.

But in this case, we must remove Xine from RPM Fusion...

Or, for the first time keep parallel packages of Xine on both repos, but with different names.
Comment 15 Susi Lehtola 2009-05-15 16:29:02 EDT
(In reply to comment #14)
> Super, then bring Xine to Fedora and leave Me TV on Fedora, too.
> 
> But in this case, we must remove Xine from RPM Fusion...
> 
> Or, for the first time keep parallel packages of Xine on both repos, but with
> different names.  

Yeah, if/when xine (i.e. xine-ui) gets in Fedora it should be removed from RPM Fusion. There's no need to remove it, though, just as long as no-one updates it any more (the Fedora package has higher EVR and will be preferred over it).

I'm just waiting for someone to review the xine package.
Comment 16 Zarko (grof) 2009-05-15 16:41:13 EDT
> 
> I'm just waiting for someone to review the xine package.  

You mean, your package?

Tasaka wrote some observations, isn't it?
Comment 17 Susi Lehtola 2009-05-15 16:55:09 EDT
(In reply to comment #16)
> > 
> > I'm just waiting for someone to review the xine package.  
> 
> You mean, your package?
> 
> Tasaka wrote some observations, isn't it?  

Yeah. He did, but no-one has proclaimed the review yet.
Comment 18 Zarko (grof) 2009-05-15 17:10:49 EDT
(In reply to comment #17)
> Yeah. He did, but no-one has proclaimed the review yet.  

But you are sponsor on Fedora, so sponsors need sponsor to make review?
Comment 19 Susi Lehtola 2009-05-15 17:38:30 EDT
(In reply to comment #18)
> (In reply to comment #17)
> > Yeah. He did, but no-one has proclaimed the review yet.  
> 
> But you are sponsor on Fedora, so sponsors need sponsor to make review?  

Nope, anyone with packager rights is enough

There'd be little sense in becoming a sponsor if you then would need other sponsors to review your packages :)
Comment 20 Zarko (grof) 2009-05-17 09:36:01 EDT
Now, xine-ui going to Fedora, so I prepared me-tv to use xine-ui.

http://wiki.open.hr/~zpintar/fedora10/SPECS/me-tv.spec
http://wiki.open.hr/~zpintar/fedora10/SRPMS/me-tv-0.8.12-3.fc10.src.rpm

Please, take a look.
Comment 21 Mamoru TASAKA 2009-05-18 14:50:16 EDT
Assigning. As far as I checked me-tv source code
there seems no legal concern.
Comment 22 Zarko (grof) 2009-05-18 16:20:49 EDT
Good, so I can expect review soon? :)
Comment 23 Mamoru TASAKA 2009-05-19 14:08:04 EDT
For 0.8.12-3:

* License
  - Well, actually COPYING is GPLv3 text, but as far as I checked
    the source code, the license tag should be "GPLv2+"
    (Note that just putting GPLv3 license text in the tarball does
     not specify the version of GPL).

* Directory ownership issue
  - This package should own the directory %_datadir/%name.

! Note that I cannot test this application because I don't have
  the necessary device.
Comment 24 Zarko (grof) 2009-05-19 16:14:04 EDT
(In reply to comment #23)
> For 0.8.12-3:
> 
> * License
> * Directory ownership issue
>   - This package should own the directory %_datadir/%name.

I resolved this:

http://wiki.open.hr/~zpintar/fedora10/SPECS/me-tv.spec
http://wiki.open.hr/~zpintar/fedora10/SRPMS/me-tv-0.8.12-4.fc10.src.rpm

I think that it is all right now.

> 
> ! Note that I cannot test this application because I don't have
>   the necessary device.  


My friend tested Koji build and he said that works perfectly with his DVB stick.
I can put build on Bodhi to testing for the first time if you think that is will be wise.
Comment 25 Mamoru TASAKA 2009-05-20 11:59:15 EDT
Now approving.

--------------------------------------------------
  This package (me-tv) is APPROVED by mtasaka
--------------------------------------------------
Comment 26 Zarko (grof) 2009-05-20 16:03:52 EDT
Thanks for review.

New Package CVS Request
=======================
Package Name: me-tv
Short Description: GNOME desktop application for watching digital television
Owners: grof
Branches: F-9 F-10 F-11
InitialCC: grof
Comment 27 Kevin Fenzi 2009-05-21 19:51:58 EDT
cvs done.
Comment 28 Fedora Update System 2009-05-22 06:31:33 EDT
me-tv-0.8.12-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/me-tv-0.8.12-5.fc10
Comment 29 Fedora Update System 2009-05-22 06:31:39 EDT
me-tv-0.8.12-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/me-tv-0.8.12-5.fc9
Comment 30 Fedora Update System 2009-05-22 06:31:44 EDT
me-tv-0.8.12-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/me-tv-0.8.12-5.fc11
Comment 31 Mamoru TASAKA 2009-05-24 09:23:51 EDT
Now closing.
Comment 32 Fedora Update System 2009-05-29 22:30:12 EDT
me-tv-0.8.12-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2009-05-29 22:33:03 EDT
me-tv-0.8.12-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2009-05-29 22:36:01 EDT
me-tv-0.8.12-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.